Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Connections_Handler Class Reference

This DocHandler handles the "connections" tag. More...

`#include <Assembly_Handlers.h>`

Inheritance diagram for CIAO::Connections_Handler:

[legend]
Collaboration diagram for CIAO::Connections_Handler:

[legend]
List of all members.

## Public Types
enum | CH_States { START, SOURCE }
## Public Member Functions
| Connections_Handler (Assembly_Spec *spec, ACEXML_XMLReader *parser, CIAO::XMLHelpers::Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| Constructor.
virtual | ~Connections_Handler ()
| Destructor.
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Member Functions
void | reset_info (ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Attributes
long | element_count_
Assembly_Spec * | context_
Assembly_Connection::Connect_Info | info_
CH_States | state_
ACE_CString | resolver_info_
Assembly_Connection::IF_Resolver_Info * | resolver_
ACE_CString | characters_

## Detailed Description

This DocHandler handles the "connections" tag.

## Member Enumeration Documentation

enum CIAO::Connections_Handler::CH_States

  | Enumeration values:
  START |
  SOURCE |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Connections_Handler::Connections_Handler | ( | Assembly_Spec * | spec,
|  | ACEXML_XMLReader * | parser,
|  | CIAO::XMLHelpers::Cascadable_DocHandler * | parent,
|  | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Constructor.

ACE_INLINE CIAO::Connections_Handler::~Connections_Handler | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void CIAO::Connections_Handler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int length | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Reimplemented from ACEXML_DefaultHandler.

void CIAO::Connections_Handler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

void CIAO::Connections_Handler::reset_info | ( | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL | ) | throw (ACEXML_SAXException)`[protected]`

void CIAO::Connections_Handler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

ACE_CString CIAO::Connections_Handler::characters_`[protected]`

Assembly_Spec* CIAO::Connections_Handler::context_`[protected]`

long CIAO::Connections_Handler::element_count_`[protected]`

Assembly_Connection::Connect_Info CIAO::Connections_Handler::info_`[protected]`

Assembly_Connection::IF_Resolver_Info* CIAO::Connections_Handler::resolver_`[protected]`

ACE_CString CIAO::Connections_Handler::resolver_info_`[protected]`

CH_States CIAO::Connections_Handler::state_`[protected]`

The documentation for this class was generated from the following files:

- Assembly_Handlers.h
- Assembly_Handlers.cpp
- Assembly_Handlers.inl